HTTP::Proxy::Engine::ScoreBoard(3)

NAME
HTTP::Proxy::Engine::ScoreBoard - A scoreboard-based HTTP::Proxy engine

SYNOPSIS
    my $proxy = HTTP::Proxy->new( engine => 'ScoreBoard' );

DESCRIPTION
This module provides a scoreboard-based engine to HTTP::Proxy.

METHODS
The module defines the following methods, used by HTTP::Proxy main loop:

start()
    Initialise the engine.

run()
    Implements the forking logic: a new process is forked for each new incoming TCP connection.

stop()
    Reap remaining child processes.

SEE ALSO
HTTP::Proxy, HTTP::Proxy::Engine.

AUTHOR
Philippe "BooK" Bruhat, "<book@cpan.org>".

Many thanks to Randal L. Schwartz for his help in implementing this module.

COPYRIGHT
Copyright 2005-2015, Philippe Bruhat.

LICENSE
This module is free software; you can redistribute it or modify it under the same terms as Perl itself.